WTF: PDF Plugin Required

Upon clicking the “Print Form” button I receive the error message below.
plugin-required-medium

I have three problems with this error message:

  • From a user interface perspective, it assumes everyone’s PDF browser plug-in displays a toolbar with it including a Print button.
  • From a design perspective, it troubles me that someone took the time to add a “Print Form” button and then disabled it… poorly.
  • From an “Are you kidding?” perspective, it bothers me someone would display such an error message on a webpage that was not actually a PDF.

Leave a Reply

Your email address will not be published.